YAZ-MARCDUMP(1)

NAME
yaz-marcdump - MARC record dump utility

SYNOPSIS
yaz-marcdump [ -x ] [ -X ] [ -I ] [ -O ] [ -f from ] [ -t to ] [ -v ] [ -c cfile ] [ file ... ]

DESCRIPTION

yaz-marcdump reads ISO2709/MARC records from one or more files. It validates each record and supports output in line-format, MARCXML, OAIMARC as well as Hex output.

By default, each record is printed to standard output in a line format with newline for each field, $x for each subfield x.

yaz-marcdump can also be requested to perform character set conversion of each record.

OPTIONS

-x  Print MARC records in a simple XML format. This format is equivalent to YAZ_MARC_SIMPLEXML in yaz/marcdisp.h.

-X  Print MARC records in MARCXML. This format is equivalent to YAZ_MARC_MARCXML in yaz/marcdisp.h.

-I  Print MARC records in ISO2709 format. This format is equivalent to YAZ_MARC_ISO2709 in yaz/marcdisp.h.

-O  Print MARC records in OAIMARC. Another XML variant. This format is equivalent to YAZ_MARC_OAIMARC in yaz/marcdisp.h.

-ffrom]
    Specify the character set from of the input MARC record. Should be used in conjunction with option -t.

-tto]
    Specify the character set of of the output. Should be used in conjunction with option -f.

-v  Print more information about the parsing process. Useful if you have ill-formatted ISO2709 records as input.

EXAMPLES

The following command converts MARC21/USMARC in MARC-8 encoding to MARC21/USMARC in UTF-8 encoding. (Both input and output is in ISO2709).
    yaz-marcdump -f MARC-8 -t UTF-8 -I marc21.raw >marc21.utf8.raw

The same records may be converted to MARCXML instead in UTF-8:
    yaz-marcdump -f MARC-8 -t UTF-8 -X marc21.raw >marcxml.xml

FILES

prefix/bin/yaz-marcdump

prefix/include/yaz/marcdisp.h

SEE ALSO

yaz(7)